Fehler 404 für JQuery-Import “jquery-1.10.2.min.map”

Ich habe meine WordPress 3.6-Installation mit einem von mir gekauften Thema ausgeführt. Wenn ich mein Thema verwende, sagt die Konsole:

GET ...xyz.de/landing/wp-includes/js/jquery/jquery-1.10.2.min.map 404 (Not Found) 

Dieser Fehler wird nicht angezeigt, wenn das Standardthema verwendet wird. Dies scheint ein errorshafter Import einer jQuery-Datei zu sein. Die Website scheint mit dem aktivierten Theme zu funktionieren. Wo soll ich anfangen, das in einem nicht von mir geschriebenen Thema zu beheben?

Freundliche Grüße,

Chris

Solutions Collecting From Web of "Fehler 404 für JQuery-Import “jquery-1.10.2.min.map”"

Dies ist ein bekanntes Problem für WordPress 3.6. Es gibt bereits ein Ticket im WordPress Bug Tracker. Ein Patch kann auch dort gefunden werden, aber ich habe es noch nicht ausprobiert.

WordPress wird mit einer verkleinerten Version von jQuery geliefert, die eine sourceMappingURL Direktive enthält, die Browser (momentan nur Chrome, denke ich) verwenden können, um eine ” Quellkarte ” zu erhalten , die darstellt, wie der minimierte Code der regulären Version entspricht.

WordPress enthält jedoch nicht die .map-Datei selbst.

Mit Ihrem jQuery-Import ist nichts kaputt, und dieser Fehler sollte nur angezeigt werden, wenn Sie Developer Tools / Web Inspector öffnen.